aboutsummaryrefslogtreecommitdiff
path: root/test/rules/android_local_test/integration_test_stub_script.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/rules/android_local_test/integration_test_stub_script.sh')
-rw-r--r--test/rules/android_local_test/integration_test_stub_script.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/test/rules/android_local_test/integration_test_stub_script.sh b/test/rules/android_local_test/integration_test_stub_script.sh
new file mode 100644
index 0000000..9f836f2
--- /dev/null
+++ b/test/rules/android_local_test/integration_test_stub_script.sh
@@ -0,0 +1,24 @@
+#!/bin/bash
+# Copyright 2021 The Bazel Authors. All rights reserved.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+exit_with_error() {
+ echo "Expected to find JAVABIN=\${JAVABIN:-\${JAVA_RUNFILES}/%expected_executable% but was"
+ echo $reference
+ exit 1
+}
+
+executable="%executable%"
+reference=`grep -o 'JAVABIN=\\${JAVABIN:-\\${JAVA_RUNFILES}/.*}' $executable`
+grep -c "JAVABIN:-\${JAVA_RUNFILES}/%expected_executable%" $executable >> /dev/null || exit_with_error